<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>  
        <div>
            <input type="text" id="nome">
            <input type="text" id="telefone">
            <button onclick="geraDiv(event)"></button>
        </div>
        <div id="contatos">

        </div>
    
    <script>
        var nome;
        var telefone;
        var contato = document.getElementById("contatos");
        var criaTemplate;

        function geraDiv(event){
            event.addEventListener();
            nome = document.getElementById("nome").value;
            telefone = document.getElementById("telefone").value;

            criaTemplate = `
            <div>
                <input type ="text" value = "${nome}" disabled>
                <input type ="text" value = "${telefone}" disabled>
                <button>x</button>
            </div>
            `
            contatos.innerHTML += criaTemplate;
        }
    </script>
</body>
</html>